gr::ieee802_15_4::frame_buffer_cc_impl Class Reference

`#include <frame_buffer_cc_impl.h>`

Inheritance diagram for gr::ieee802_15_4::frame_buffer_cc_impl:
[legend]

## Public Member Functions

| frame_buffer_cc_impl (int nsym_frame)
| ~frame_buffer_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::ieee802_15_4::frame_buffer_cc
typedef boost::shared_ptr< frame_buffer_cc > | sptr
Static Public Member Functions inherited from gr::ieee802_15_4::frame_buffer_cc
static sptr | make (int nsym_frame)
| Return a shared_ptr to a new instance of ieee802_15_4::frame_buffer_cc. More...

## Constructor & Destructor Documentation

## frame_buffer_cc_impl()

gr::ieee802_15_4::frame_buffer_cc_impl::frame_buffer_cc_impl | ( | int | nsym_frame | ) |

## ~frame_buffer_cc_impl()

gr::ieee802_15_4::frame_buffer_cc_impl::~frame_buffer_cc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::ieee802_15_4::frame_buffer_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::ieee802_15_4::frame_buffer_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- frame_buffer_cc_impl.h